package com.ruoyi.basetyre.mapper;

import java.util.List;
import com.ruoyi.basetyre.domain.BaseCarType;

/**
 * 车辆类型Mapper接口
 * 
 * @author Yangwl
 * @date 2023-02-08
 */
public interface BaseCarTypeMapper 
{
    /**
     * 查询车辆类型
     * 
     * @param id 车辆类型主键
     * @return 车辆类型
     */
    public BaseCarType selectBaseCarTypeById(String id);

    /**
     * 查询车辆类型列表
     * 
     * @param baseCarType 车辆类型
     * @return 车辆类型集合
     */
    public List<BaseCarType> selectBaseCarTypeList(BaseCarType baseCarType);

    /**
     * 新增车辆类型
     * 
     * @param baseCarType 车辆类型
     * @return 结果
     */
    public int insertBaseCarType(BaseCarType baseCarType);

    /**
     * 修改车辆类型
     * 
     * @param baseCarType 车辆类型
     * @return 结果
     */
    public int updateBaseCarType(BaseCarType baseCarType);

    /**
     * 删除车辆类型
     * 
     * @param id 车辆类型主键
     * @return 结果
     */
    public int deleteBaseCarTypeById(String id);

    /**
     * 批量删除车辆类型
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBaseCarTypeByIds(String[] ids);
}
